[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTreeNodes.GetLastVisibleEnabledNode

Gets the last top-level sibling node that is visible and enabled.

## Declaration

Source position: comctrls.pp line 3275

`public function TTreeNodes.GetLastVisibleEnabledNode: TTreeNode;`

## Function result

The tree node, or Nil when a top-level sibling is not visible and enabled.

## See also

TTreeNodes.TopLvlItems |  | Provides indexed access to tree nodes at the top level of the tree structure.
TTreeNodes.TopLvlCount |  | The number of tree nodes at the top level of the tree structure.
TTreeNode.Visible |  | True if the tree node is visible in the associated TreeView control.
TTreeNode.Enabled |  | Controls whether the tree node can be selected, and its visual appearance.